#include "StdAfx.h"
#include "ShortenKeyWindow.h"


cShortenKeyWindow::cShortenKeyWindow()
{
	SetLClickNotifyStage( true );
}

cShortenKeyWindow::~cShortenKeyWindow()
{
}

void cShortenKeyWindow::OnShow()
{
	cUIWindow::OnShow();

	/// 화면 중앙에 출력
	int x = (int)(( GetScreenWidth() - GetAbsoluteRect().GetWidth() ) * 0.5f);
	int y = (int)(( GetScreenHeight() - GetAbsoluteRect().GetHeight() ) * 0.5f);
	SetRelativePos( cUIPos( x, y) );
}

bool cShortenKeyWindow::OnCreate( cUINodeProperty* pproperty )
{
	if( cUIWindow::OnCreate( pproperty ) == false )
		return false;
	return true;
}

void cShortenKeyWindow::OnCommand( cUINode* , unsigned int id )
{
	if( id == eUIID_GAME_SHORTENKEY_CLOSE )
		Hide();
}

void cShortenKeyWindow::UpdateSkin()
{
	cUIWindow::UpdateSkin();

	/// 화면 중앙에 출력
	int x = (int)(( GetScreenWidth() - GetAbsoluteRect().GetWidth() ) * 0.5f);
	int y = (int)(( GetScreenHeight() - GetAbsoluteRect().GetHeight() ) * 0.5f);
	SetRelativePos( cUIPos( x, y) );
}